Subject: bug#904: coreutils: key package depends on libsystemd

From: Andrew Bower <[email-masked]>
Date: Tue, 12 Aug 2025 23:00:51 +0100

Source: coreutils
Version: 9.7-1
Severity: normal

Dear Devuan developers,

Since 9.7-1 and including 9.7-3, coreutils has depended on libsystemd.
This was added under pressure as part of https://bugs.debian.org/1080330
and discussions in debian-devel to enable 'who' to obtain current
longed-in user information from the seat manager, e.g. elogind, instead
of /run/utmp.

The Devuan project should consider if it wishes to fork this package to
avoid making every Excalibur installation necessarily include
libsystemd when it might not othewise have needed to do so

In #900 on Tue, Jul 29, 2025 at 11:10:45AM +0100, Mark Hindley wrote:
> On Mon, Jul 28, 2025 at 09:06:10PM +0100, Andrew Bower wrote:
> > > I believe the original impetus to remove libsystemd linkage from procps 
> > > was to reduce libsystemd infiltration into 'core' utilities. 
> > 
> > I am all in favour of that ambition. I don't think the key
> > building-block packages should depend on libsystemd, hence my
> > disappointment when coreutils recently gained the dependency (should we
> > be forking that?)
> 
> Hmmm, yes, conceivably.

Raising a bug...

Andrew

-- System Information:
Distributor ID: Devuan
Description:  Devuan GNU/Linux 6 (excalibur/ceres)
Release:  6
Codename: excalibur ceres
Architecture: x86_64

Kernel: Linux 6.12.37+deb13-amd64 (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled